
// export const request = (method, url, body?) => {
//   method = method.toUpperCase();
//   if (method === 'GET') {
//       body = undefined;
//   } else {
//       body = body && JSON.stringify(body);
//   }

//   return fetch(url, {
//       method,
//       headers: {
//           'Content-Type': 'application/json',
//           'Accept': 'application/json'
//       },
//       body
//   }).then((res) => {
//       if (res.status >= 200 && res.status < 300) {
//           return res;
//       } else {
//           return Promise.reject('请求失败！');
//       }
//   })
// }

export const getReference = (ele : string | HTMLElement) => {
  if (ele instanceof HTMLElement) {
    return ele;
  } else if (typeof ele === 'string') {
    return document.querySelector(ele);
  }
}

